
---------------------------------------------------------------------------------
--
-- Add new Metadata Txn Field RHX_TRAN_ID
--
---------------------------------------------------------------------------------

update frh_segment_definition set segment_length = 132, segment_id_version = '13010002' where  segment_Acronym = 'RHX';

update frh_field_definition set field_starting_pos = field_starting_pos+20, sort_order = sort_order+1 where SORT_ORDER > 2 and field_name like 'rhx%';

INSERT INTO FRH_FIELD_DEFINITION
(FIELD_ID, SEGMENT_ID, FIELD_STARTING_POS, FIELD_LENGTH, FIELD_NAME, FIELD_BUSINESSNAME, FIELD_DESC, 
EX_SAS_VALUE, VARIABLE_TYPE, SAS_INFORMAT, SAS_FORMAT, SAS_AGS_BIN_INFORMAT_IND, SORT_ORDER, 
FIELD_RULE_ACCESSIBLE_IND, DATA_POP_ENABLED_IND, FIELD_VISIBLE_IND, EXPOSE_USERVAR_IND, DATA_POP_ATTR_VALUE, CREATE_USER, CREATE_TIMESTAMP, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, FIELD_DESC_EDIT, FIELD_PERMANENT_SELECTION_IND, FIELD_BUSINESSNAME_EDIT, XML_FIELD_NAME) 
VALUES (
(select max(Field_id)+1 from frh_Field_definition) 
,(select segment_id From frh_segment_definition where segment_Acronym = 'RHX')
, 24
, 20
, 'rhx_tran_id'
, 'Generated Surrogate Key'
, 'Uniquely identifies a transaction inside the dbms table. Value is generated by the dbms'
, '"13010002"'
, 'Numeric'
, '20.'
, 'Z20.'
, '0'
, 4
, '0'
, '0'
, '0'
, '0'
, 'rhx_tran_id'
, CURRENT_USER 
, CURRENT_TIMESTAMP
, CURRENT_USER 
, CURRENT_TIMESTAMP
, 0
, '0'
, 'Uniquely identifies a transaction inside the dbms table. Value is generated by the dbms'
, '0'
, 'Generated Surrogate Key'
, 'rhxTranId');


---------------------------------------------------------------------------------
--
-- Update FRX_SCD_COLUMN table for release 3.2.0.3 (HF3)
--
---------------------------------------------------------------------------------
update FRX_SCD_COLUMN set SCD_FIELD = 'ucm_pos' where lower(SCD_DIMENSION) = 'frh_pos_bbw_dim' and lower(SCD_FIELD) = 'hct_term_id';

---------------------------------------------------------------------------------
--
-- Insert version release 3.2.0.3 (HF3)
--
---------------------------------------------------------------------------------

insert into frh_version ( version_name, version_num, version_date, version_desc, version_component) values 
( 'Base DDL', '3.2.0.3', CURRENT DATE, 'HF3 DDL', 'DDL'),
('Message API', '04.02.03', current date, 'API for MetaData and Transaction tables ', 'DDL');		
commit;



