----------------------------------------------------------
--
-- Alter Table Statements for FRH_ALERT_TYPE_DIM 
--
----------------------------------------------------------

ALTER TABLE FRH_ALERT_TYPE_DIM ADD COLUMN LOCAL_DEMO_ALERT_TYPE CHAR(1) ;

UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='A' WHERE ALERT_TYPE = 'A';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='C' WHERE ALERT_TYPE = 'C';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'H';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='O' WHERE ALERT_TYPE = 'O';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='P' WHERE ALERT_TYPE = 'P';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'W';
UPDATE FRH_ALERT_TYPE_DIM SET    LOCAL_DEMO_ALERT_TYPE ='X' WHERE ALERT_TYPE = 'X';

ALTER TABLE FRH_ALERT_TYPE_DIM ALTER COLUMN LOCAL_DEMO_ALERT_TYPE SET NOT NULL ;
REORG TABLE FRH_ALERT_TYPE_DIM;

----------------------------------------------------------
--
-- Alter Table Statements for FRX_CONSORT_EXT 
--
----------------------------------------------------------
DROP INDEX NDX_CONSORT_EXT;
ALTER TABLE FRX_CONSORT_EXT 
	DROP COLUMN MIN_CMX_TRAN_ID
	DROP COLUMN MAX_CMX_TRAN_ID
	DROP COLUMN LST_MAX_CMX_TRAN_ID;
	
REORG TABLE FRX_CONSORT_EXT;

  
 CREATE  INDEX NDX_CONSORT_EXT
 ON FRX_CONSORT_EXT ( JOB_ID,TXN_TAB_NAME ASC )
  ALLOW REVERSE SCANS PCTFREE 10 CLUSTER;

----------------------------------------------------------
--
-- Alter Table Statements for FRH_ALERT_ACTION_FACT 
--
----------------------------------------------------------  
ALTER TABLE FRH_ALERT_ACTION_FACT
  DROP FOREIGN KEY FK_ALRT_TYP_ALRT_ACTN
  DROP FOREIGN KEY FK_ALRT_ALRT_ACTN;

ALTER TABLE FRH_ALERT_ACTION_FACT
  ADD CONSTRAINT FK_ALRT_TYP_ALRT_ACTN FOREIGN KEY
    (ALERT_TYPE)
  REFERENCES FRH_ALERT_TYPE_DIM
    (ALERT_TYPE)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
    NOT ENFORCED
    ENABLE QUERY OPTIMIZATION;

ALTER TABLE FRH_ALERT_ACTION_FACT
  ADD CONSTRAINT FK_ALRT_ALRT_ACTN FOREIGN KEY
    (ALERT_ID, ALERT_VERSION_NBR)
  REFERENCES FRH_ALERT_DIM
    (ALERT_ID, ALERT_VERSION_NBR)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
    NOT ENFORCED
    ENABLE QUERY OPTIMIZATION;

----------------------------------------------------------
--
-- Alter Table Statements for FRH_ALERT_DIM 
--
----------------------------------------------------------
ALTER TABLE FRH_ALERT_DIM
  DROP FOREIGN KEY FK_ALRT_TYP_ALRT;

ALTER TABLE FRH_ALERT_DIM
  ADD CONSTRAINT FK_ALRT_TYP_ALRT FOREIGN KEY
    (ALERT_TYPE)
  REFERENCES FRH_ALERT_TYPE_DIM
    (ALERT_TYPE)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION
    NOT ENFORCED
    ENABLE QUERY OPTIMIZATION;

----------------------------------------------------------
--
-- Alter Table Statements for FRH_FIELD_DEFINITION 
--
----------------------------------------------------------
ALTER TABLE FRH_FIELD_DEFINITION
  ALTER COLUMN FIELD_BUSINESSNAME_EDIT SET DATA TYPE VARCHAR(100);
REORG TABLE FRH_FIELD_DEFINITION;


----------------------------------------------------------
--
-- Alter Table Statements for FRX_JOB 
--
----------------------------------------------------------
ALTER TABLE FRX_JOB
  ALTER COLUMN JOB_ID DROP IDENTITY;

REORG TABLE FRX_JOB;