---------------------------------------------------------------------------------
--
-- Insert new Job (HF4)
--
---------------------------------------------------------------------------------
merge into frx_job
USING TABLE(values(400))
                     ac(job_id) 
                  ON (frx_job.job_id = ac.job_id)
when not matched then
insert  
(job_id, job_name, job_desc, job_main_macro, job_component, job_script_opts,
  job_autoexec, job_log_filename, job_sysin, job_dvds, job_sas_cmd) 
  values 
(4000,
'ETL RFF loader of failed recovery jobs',
'Loads RFF records not loaded during recovery job',
'ETL_TRANS_RFF_LOADER2',
'etl',
' -MEMSIZE 1G -SET ACRONYM CSAE -logparm ''ROLLOVER=SESSION'' -noterminal -nospool -unbuflog -nosyntaxcheck -ENCODING UTF-8 -SET DB2CODEPAGE 1208',
'!SASWHSE_IMPLEMENT_HOME/common/etc/autoexec.sas',
'!SASWHSE_IMPLEMENT_HOME/etl/logs/%nrstr(%d%b%Y_%H%M%s)_etl_trans_rff_loader2.log',
'!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas',
'fsmetl fsmrh',
'sas_dbcs')
ELSE IGNORE;



---------------------------------------------------------------------------------
--
-- Update FRX_SCD_COLUMN table for release 3.2.0.4 (HF4)
--
---------------------------------------------------------------------------------
update FRX_SCD_COLUMN set SCD_FIELD = 'ucm_pos' where lower(SCD_DIMENSION) = 'frh_pos_bbw_dim' and lower(SCD_FIELD) = 'hct_term_id';


---------------------------------------------------------------------------------
--
-- Insert version release 3.2.0.4 (HF4)
--
---------------------------------------------------------------------------------

insert into frh_version ( version_name, version_num, version_date, version_desc, version_component) values 
( 'Base DDL', '3.2.0.4', CURRENT DATE, 'HF4 DDL', 'DDL'),
('Message API', '04.02.03', current date, 'API for MetaData and Transaction tables ', 'DDL');		
commit;



