---------------------------------------------------------------------------------
--
-- Add new Metadata Txn Field RHX_TRAN_ID
--
---------------------------------------------------------------------------------
update fcm_segment_definition set segment_length = 132, segment_id_version = '13010002' where  segment_Acronym = 'RHX';

update fcm_field_definition set field_starting_pos = field_starting_pos+20, sort_order = sort_order+1 where SORT_ORDER > 2 and field_name like 'rhx%';

INSERT INTO FCM_FIELD_DEFINITION
( SEGMENT_ID, FIELD_STARTING_POS, FIELD_LENGTH, FIELD_NAME, FIELD_BUSINESSNAME, FIELD_DESC, EX_SAS_VALUE, VARIABLE_TYPE, 
SAS_INFORMAT, SAS_FORMAT, SAS_AGS_BIN_INFORMAT_IND, SORT_ORDER, FIELD_RULE_ACCESSIBLE_IND, DATA_POP_ENABLED_IND, 
FIELD_VISIBLE_IND, EXPOSE_USERVAR_IND, DATA_POP_ATTR_VALUE, CREATE_USER, CREATE_TIMESTAMP, LSTUPDT_USER, 
LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, FIELD_DESC_EDIT, FIELD_PERMANENT_SELECTION_IND, 
FIELD_BUSINESSNAME_EDIT, XML_FIELD_NAME) 
VALUES (
(select segment_id From fcm_segment_definition where segment_Acronym = 'RHX')
, 24
, 20
, 'rhx_tran_id'
, 'Generated Surrogate Key'
, 'Uniquely identifies a transaction inside the dbms table. Value is generated by the dbms'
, '"13010002"'
, 'Numeric'
, '20.'
, 'Z20.'
, '0'
, 4
, '0'
, '0'
, '0'
, '0'
, 'rhx_tran_id'
, CURRENT_USER 
, CURRENT_TIMESTAMP
, CURRENT_USER 
, CURRENT_TIMESTAMP
, 0
, '0'
, 'Uniquely identifies a transaction inside the dbms table. Value is generated by the dbms'
, '0'
, 'Generated Surrogate Key'
, 'rhxTranId');



---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('reporting_history_server'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'reporting_history_server' 
 , ' '
 , 'The hostname of the main database server of the reporting history database when that database is a Teradata database (value is ignored when not Teradata)'
 , 'Hostname of reporting history database server'        
 , 'Miscellany'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

merge into FCM_PROPERTY
USING TABLE(values('webapp.jaas.realmSeparator'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES 
('webapp.jaas.realmSeparator'
 , '/'
 , 'The realm separator to find the boundary of the realm.  If not blank, the realm will be removed from the beginning of the username'
 , 'Realm Separator'
 , 'WebApplication'
 , current timestamp - current timezone
 , CURRENT USER
 , CURRENT USER
 , current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
 ELSE IGNORE;

---------------------------------------------------------------------------------
--
-- Insert version release 3.2.0.3 (HF3)
--
---------------------------------------------------------------------------------

insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.2.0.3', current date, 'HF3  DDL', 'DDL'), 
('Message API', '04.02.03', current date, 'API for MetaData and Transaction tables ', 'DDL');
	
