---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('reporting_history_server'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'reporting_history_server' 
 , ' '
 , 'The hostname of the main database server of the reporting history database when that database is a Teradata database (value is ignored when not Teradata)'
 , 'Hostname of reporting history database server'        
 , 'Miscellany'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

merge into FCM_PROPERTY
USING TABLE(values('webapp.jaas.realmSeparator'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES 
('webapp.jaas.realmSeparator'
 , '/'
 , 'The realm separator to find the boundary of the realm.  If not blank, the realm will be removed from the beginning of the username'
 , 'Realm Separator'
 , 'WebApplication'
 , current timestamp - current timezone
 , CURRENT USER
 , CURRENT USER
 , current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
 ELSE IGNORE;


---------------------------------------------------------------------------------
--
-- Insert version release 3.2.0.4 (HF4)
--
---------------------------------------------------------------------------------

insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.2.0.4', current date, 'HF4  DDL', 'DDL'), 
('Message API', '04.02.03', current date, 'API for MetaData and Transaction tables ', 'DDL');
	
